Twitter / X Scraping

Get Twitter X User Tweets

POST /v1/x/user-tweets

#Example

curl -X POST /v1/x/user-tweets \
  -H "Authorization: Bearer your-token" \
  -H "Content-Type: application/json" \
  -d '{
    "username": "ImranKhanPTI"
  }'

#Request Body

{
  "username": "ImranKhanPTI"
}

#Pricing

  • 10 credits

Credits are only deducted for successful requests.

#Pagination

Use next_page_token or previous_page_token from the previous response. Only one token can be sent per request.

#Example Response

{
  "response": [
    {
      "id": "111",
      "tweet_url": "https://x.com/ImranKhanPTI/status/111",
      "text": "Recent post text",
      "like_count": 9,
      "view_count": 99,
      "source": "Twitter Web App",
      "sensitive": false,
      "media": [
        {
          "type": "photo",
          "image_url": "https://example.com/photo1.jpg?name=orig",
          "video_url": null
        }
      ]
    }
  ],
  "pagination": {
    "next_page_token": "token",
    "previous_page_token": null
  }
}